> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom connector info

> Retrieve details of a specific custom API connector.



## OpenAPI

````yaml GET /v1/connectors/{connector_id}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/connectors/{connector_id}:
    get:
      tags:
        - Connector
      summary: Get a connector
      description: Retrieve details of a specific custom API connector.
      operationId: get_connector_v1_connectors__connector_id__get
      parameters:
        - name: connector_id
          in: path
          required: true
          schema:
            type: integer
            description: The connector ID
            title: Connector Id
          description: The connector ID
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Connector'
        '404':
          description: Connector not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Connector:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        method:
          type: string
          title: Method
        url:
          type: string
          title: Url
        headers:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Headers
          default: []
        parameters:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Parameters
          default: []
        body:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Body
          default: []
        body_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Body Template
        rate_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Limit
        max_concurrency:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrency
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - name
        - type
        - method
        - url
      title: Connector
    HTTPValidationError:
      properties:
        error:
          type: string
          title: Error
          description: VALIDATION_ERROR
        detail:
          type: string
          title: Detail
          description: Human-readable summary, one problem per field joined by '; '.
        fields:
          type: array
          title: Fields
          items:
            type: object
            properties:
              loc:
                items:
                  type: string
                type: array
              msg:
                type: string
            required:
              - loc
              - msg
      type: object
      required:
        - error
        - detail
      title: HTTPValidationError
    NameValue:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
          default: ''
      type: object
      required:
        - name
      title: NameValue

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.